Support » Plugin: WP Scroll Depth » not working with new Analytics Code

  • Resolved Daniel Pardella

    (@toxicdemon)


    I have found that the plugin cannot be used with the analytics code currently proposed by Google.

    Is that true or is it a mistake on my part? Since the change to the new Analytics Code I don’t get a scroll depth anymore.

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Contributor lonkoenig

    (@lonkoenig)

    Sorry for the delay in responding.
    Are you using Google Tag Manager?
    How are you implementing your Google Analytics in WordPress?

    Oh – I’ll be you mean the new gtag snippet. Poop.
    We ran into this in another plugin. That operates just like GTM, but it doesn’t require GTM.

    Thanks for the heads-up. I’ll see if I can find you a solution.

    Yes, we use the gtag. It is directly integrated into the header, without any further plugin.

    It would be great if a solution could be found very quickly.

    Thank you very much!

    Plugin Contributor lonkoenig

    (@lonkoenig)

    The official ScrollDepth JavaScript has not been updated with gtag support.
    I incorporated a patch that builds in that support and am testing it.

    The implementation is generating slightly different events than the regular _ga() version, so I am tweaking and testing.
    Unfortunately, I’m at a conference the next few days, but I’ll post the update on Monday.

    And I’ve generated the POT file as well so we can get translations started.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘not working with new Analytics Code’ is closed to new replies.